App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
mhr.app.debug.DebugToolDialogFragment Class Reference
Inheritance diagram for mhr.app.debug.DebugToolDialogFragment:

## Public Member Functions
View | onCreateView (LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)
void | onActivityCreated (Bundle savedInstanceState)
void | onClick (View v)

## Protected Member Functions
void | getDump ()

## Protected Attributes
View | root
AppMainActivity | activity

## Detailed Description

Definition at line 16 of file DebugToolDialogFragment.java.

## Member Function Documentation

void mhr.app.debug.DebugToolDialogFragment.getDump | ( |  | ) |
| inlineprotected

Definition at line 49 of file DebugToolDialogFragment.java.

{
TextView d = (TextView) root.findViewById(R.id.DumpTV);
d.setText(activity.getAppCore().getDump());
return;
}

void mhr.app.debug.DebugToolDialogFragment.onActivityCreated | ( | Bundle | savedInstanceState | ) |
| inline

Definition at line 29 of file DebugToolDialogFragment.java.

{
super.onActivityCreated(savedInstanceState);
activity = (AppMainActivity) getActivity();
root.findViewById(R.id.DebugToolDialogDismissBtn).setOnClickListener(this);
root.findViewById(R.id.GetDumpBtn).setOnClickListener(this);
}

void mhr.app.debug.DebugToolDialogFragment.onClick | ( | View | v | ) |
| inline

Definition at line 36 of file DebugToolDialogFragment.java.

{
int id = v.getId();
switch (id) {
case R.id.DebugToolDialogDismissBtn:
activity.dismissDialog();
break;
case R.id.GetDumpBtn:
getDump();
default:
break;
}
}

View mhr.app.debug.DebugToolDialogFragment.onCreateView | ( | LayoutInflater | inflater,
|  | ViewGroup | container,
|  | Bundle | savedInstanceState
| ) |  |
| inline

Definition at line 22 of file DebugToolDialogFragment.java.

{
View v = inflater.inflate(R.layout.fragment_debug_tool_dialog, container, false);
root = v;
return v;
}

## Member Data Documentation

AppMainActivity mhr.app.debug.DebugToolDialogFragment.activity
| protected

Definition at line 19 of file DebugToolDialogFragment.java.

View mhr.app.debug.DebugToolDialogFragment.root
| protected

Definition at line 18 of file DebugToolDialogFragment.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/app/src/mhr/app/debug/DebugToolDialogFragment.java